goocanvasmm: Goocanvas::Rect Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::Rect Class Reference
Inheritance diagram for Goocanvas::Rect:
[legend]

List of all members.

## Public Member Functions
virtual | ~Rect ()
GooCanvasRect* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasRect* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasRect* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_radius_x ()
| The horizontal radius to use for rounded corners.
Glib::PropertyProxy_ReadOnly < double > | property_radius_x () const
| The horizontal radius to use for rounded corners.
Glib::PropertyProxy< double > | property_radius_y ()
| The vertical radius to use for rounded corners.
Glib::PropertyProxy_ReadOnly < double > | property_radius_y () const
| The vertical radius to use for rounded corners.
## Static Public Member Functions
static Glib::RefPtr< Rect > | create (double x=0.0, double y=0.0, double width=0.0, double height=0.0)
## Protected Member Functions
| Rect (double x=0.0, double y=0.0, double width=0.0, double height=0.0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Rect > | wrap (GooCanvasRect* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Rect::~Rect | ( |  | ) | `[virtual]`

Goocanvas::Rect::Rect | ( | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `0.0`,
|  | double | height = `0.0`
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Rect> Goocanvas::Rect::create | ( | double | x = `0.0`,
|  | double | y = `0.0`,
|  | double | width = `0.0`,
|  | double | height = `0.0`
| ) |  | `[static]`

GooCanvasRect* Goocanvas::Rect::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

const GooCanvasRect* Goocanvas::Rect::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasRect* Goocanvas::Rect::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy<double> Goocanvas::Rect::property_radius_x | ( |  | ) |

The horizontal radius to use for rounded corners.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Rect::property_radius_x | ( |  | ) | const

The horizontal radius to use for rounded corners.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Rect::property_radius_y | ( |  | ) | const

The vertical radius to use for rounded corners.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Rect::property_radius_y | ( |  | ) |

The vertical radius to use for rounded corners.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Rect > wrap | ( | GooCanvasRect * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/rect.h